Package fr.gouv.vitam.functionaltest.cucumber.step

# Class LogbookInternalStep

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.step.CommonStep
fr.gouv.vitam.functionaltest.cucumber.step.LogbookInternalStep

public class LogbookInternalStep extends CommonStep

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `CommonStep.MyRunnable`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `world`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogbookInternalStep(World world)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `generate_secured_lfc_objectgroup()`
  call vitam to generate a secured logbook
  `void`
  `generate_secured_lfc_unit()`
  call vitam to generate a secured logbook
  `void`
  `generate_secured_logbook()`
  call vitam to generate a secured logbook

  ### Methods inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `checkOperationStatus, runInVitamThread`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LogbookInternalStep

    public LogbookInternalStep(World world)

- ## Method Details

  - ### generate_secured_logbook

    @When("^je g\u00e9n\u00e8re un journal des op\u00e9rations s\u00e9curis\u00e9") public void generate_secured_logbook()
    call vitam to generate a secured logbook

  - ### generate_secured_lfc_unit

    @When("^je g\u00e9n\u00e8re un journal des cycles de vie des unit\u00e9s archivistiques s\u00e9curis\u00e9") public void generate_secured_lfc_unit()
    call vitam to generate a secured logbook

  - ### generate_secured_lfc_objectgroup

    @When("^je g\u00e9n\u00e8re un journal des cycles de vie des groupes d\'objets s\u00e9curis\u00e9") public void generate_secured_lfc_objectgroup()
    call vitam to generate a secured logbook